
/*  Adjacency lists
 *  ---------------
 *  Graphs are represented as adjacency list, see above.  
 *  The cons cell of the list of edges used in adjacency list
 *  is the struct adjedge.
 */

typedef struct adjedge {
	struct gedge 	*kante;           /* Edge */
	struct adjedge	*next;
	struct adjedge	*internal_next;
} *ADJEDGE;

/* direct accesses */

#define AKANTE(x)	((x)->kante)
#define	ANEXT(x)	((x)->next)
#define	AINTERN(x)	((x)->internal_next)

/* accesses to attributes of source and target of an edge */

#define	SOURCE(x)	(ESTART(AKANTE(x)))
#define	TARGET(x)	(EEND(AKANTE(x)))
#define	ESOURCEX(x)	(ESTARTX(AKANTE(x)))
#define	ESOURCEY(x)	(ESTARTY(AKANTE(x)))
#define ETARGETX(x)	(EENDX(AKANTE(x)))
#define	ETARGETY(x)	(EENDY(AKANTE(x)))
#define	EKIND(x)	(EART(AKANTE(x)))
#define	NSOURTIEFE(x)	(NTIEFE(ESTART(AKANTE(x))))
#define	NTARTIEFE(x)	(NTIEFE(EEND(AKANTE(x))))

/* end. */
