
/*  Depth entries 
 *  -------------
 *  This is an entry in the table of existing layers. Each layer 
 *  node contains the list of nodes of this layer, and the layout 
 *  values. For the list of nodes, we use two lists to traverse 
 *  the nodes forward and backward (similar to a double linked list).
 */

typedef struct depth_entry {
	int	anz;		     /* Number of nodes of this layer */
	int	actx;		     /* actual  x coord.in this layer */
	int 	cross;		     /* number of crossings of layer  */
	GNODE   refnode;	     /* Reference node for part 3     */
	struct	gnlist	*predlist;   /* nodes of this layer (forward) */ 
	struct	gnlist	*succlist;   /* nodes of this layer (backward)*/
	char	resort_necessary;    /* indicates if resorting by     */
				     /* barycentering etc. is needed  */
} DEPTH;

#define	TANZ(x)		((x).anz)
#define	TPRED(x)	((x).predlist)
#define	TSUCC(x)	((x).succlist)
#define	TCROSS(x)	((x).cross)
#define	TACTX(x)	((x).actx)
#define	TREFN(x)	((x).refnode)
#define	TRESNEEDED(x)	((x).resort_necessary)

/* end. */
