#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union { 
	unsigned char      byte;
	short int          snum;
	unsigned short int usnum;
	int                num;
	unsigned int       unum;
	long int           lnum;
	unsigned long int  ulnum;
	float              realnum;
	double             lrealnum;
	char              *string;
	void 			  *tree;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	LEXWORD_ABOVE	257
# define	LEXWORD_ANCHORPOINTS	258
# define	LEXWORD_ANCHOR	259
# define	LEXWORD_AQUAMARINE	260
# define	LEXWORD_AROUND	261
# define	LEXWORD_ARROWMODE	262
# define	LEXWORD_ARROWHEIGHT	263
# define	LEXWORD_ARROWWIDTH	264
# define	LEXWORD_ARROWCOLOR	265
# define	LEXWORD_ARROWSTYLE	266
# define	LEXWORD_ARROWSIZE	267
# define	LEXWORD_BARROWCOLOR	268
# define	LEXWORD_BARROWSTYLE	269
# define	LEXWORD_BARROWSIZE	270
# define	LEXWORD_BACKEDGE	271
# define	LEXWORD_BARYCENTER	272
# define	LEXWORD_BARY	273
# define	LEXWORD_BARYMEDIAN	274
# define	LEXWORD_BEHIND	275
# define	LEXWORD_BELOW	276
# define	LEXWORD_BLACK	277
# define	LEXWORD_BLUE	278
# define	LEXWORD_BMAX	279
# define	LEXWORD_BORDERCOLOR	280
# define	LEXWORD_BORDERWIDTH	281
# define	LEXWORD_BOTTOM_MARGIN	282
# define	LEXWORD_BOTTOM_TO_TOP	283
# define	LEXWORD_BOTTOM	284
# define	LEXWORD_BOX	285
# define	LEXWORD_BENTNEAREDGE	286
# define	LEXWORD_CENTER	287
# define	LEXWORD_CFISH	288
# define	LEXWORD_CLASSNAME	289
# define	LEXWORD_CLASS	290
# define	LEXWORD_CLUSTER	291
# define	LEXWORD_CMIN	292
# define	LEXWORD_CMAX	293
# define	LEXWORD_COLORENTRY	294
# define	LEXWORD_COLOR	295
# define	LEXWORD_CONSTRAINTS	296
# define	LEXWORD_CONSTRAINT	297
# define	LEXWORD_CONTINUOUS	298
# define	LEXWORD_CROSSING_WEIGHT	299
# define	LEXWORD_CROSSING_OPT	300
# define	LEXWORD_CROSSING_P2	301
# define	LEXWORD_CYAN	302
# define	LEXWORD_DARKBLUE	303
# define	LEXWORD_DARKCYAN	304
# define	LEXWORD_DARKGREEN	305
# define	LEXWORD_DARKGREY	306
# define	LEXWORD_DARKMAGENTA	307
# define	LEXWORD_DARKRED	308
# define	LEXWORD_DARKYELLOW	309
# define	LEXWORD_DASHED	310
# define	LEXWORD_DFS	311
# define	LEXWORD_DIMENSION	312
# define	LEXWORD_DIRTY_EDGE_LABELS	313
# define	LEXWORD_DISPLAY_EDGE_LABELS	314
# define	LEXWORD_DOTTED	315
# define	LEXWORD_EDGE1	316
# define	LEXWORD_EDGE2	317
# define	LEXWORD_EDGES	318
# define	LEXWORD_ELLIPSE	319
# define	LEXWORD_EQUAL_COLUMN	320
# define	LEXWORD_EQUAL_POSITION	321
# define	LEXWORD_EQUAL_ROW	322
# define	LEXWORD_EQUAL	323
# define	LEXWORD_EVERY	324
# define	LEXWORD_FCFISH	325
# define	LEXWORD_FPFISH	326
# define	LEXWORD_FIXED	327
# define	LEXWORD_FREE	328
# define	LEXWORD_FINETUNING	329
# define	LEXWORD_FOLDEDGE	330
# define	LEXWORD_FOLDNODE	331
# define	LEXWORD_FOLDING	332
# define	LEXWORD_FONTNAME	333
# define	LEXWORD_GOLD	334
# define	LEXWORD_GRAPH	335
# define	LEXWORD_GREATER	336
# define	LEXWORD_GREEN	337
# define	LEXWORD_GREY	338
# define	LEXWORD_HEIGHT	339
# define	LEXWORD_HIDESINGLES	340
# define	LEXWORD_HIGH_MARGIN	341
# define	LEXWORD_HIGH	342
# define	LEXWORD_HIDDEN	343
# define	LEXWORD_HORDER	344
# define	LEXWORD_ICONFILE	345
# define	LEXWORD_ICONHEIGHT	346
# define	LEXWORD_ICONSTYLE	347
# define	LEXWORD_ICONWIDTH	348
# define	LEXWORD_INCLUDE	349
# define	LEXWORD_INFONAME	350
# define	LEXWORD_INFO1	351
# define	LEXWORD_INFO2	352
# define	LEXWORD_INFO3	353
# define	LEXWORD_INPUTFUNCTION	354
# define	LEXWORD_INTERVAL	355
# define	LEXWORD_INVISIBLE	356
# define	LEXWORD_IN_FRONT	357
# define	LEXWORD_ISI	358
# define	LEXWORD_KHAKI	359
# define	LEXWORD_TEXTCOLOR	360
# define	LEXWORD_LABEL	361
# define	LEXWORD_LATE_LABELS	362
# define	LEXWORD_LAYOUTALGORITHM	363
# define	LEXWORD_LAYOUTFREQUENCY	364
# define	LEXWORD_LAYOUTPARAMETER	365
# define	LEXWORD_LAYOUTDOWNFACTOR	366
# define	LEXWORD_LAYOUTUPFACTOR	367
# define	LEXWORD_LAYOUTNEARFACTOR	368
# define	LEXWORD_LAYOUTSPLINEFACTOR	369
# define	LEXWORD_LEFT_JUSTIFY	370
# define	LEXWORD_LEFT_MARGIN	371
# define	LEXWORD_LEFT_NEIGHBOR	372
# define	LEXWORD_LEFT_TO_RIGHT	373
# define	LEXWORD_LEFT	374
# define	LEXWORD_LEVEL	375
# define	LEXWORD_VORDER	376
# define	LEXWORD_LIGHTBLUE	377
# define	LEXWORD_LIGHTCYAN	378
# define	LEXWORD_LIGHTGREEN	379
# define	LEXWORD_LIGHTGREY	380
# define	LEXWORD_LIGHTMAGENTA	381
# define	LEXWORD_LIGHTRED	382
# define	LEXWORD_LIGHTYELLOW	383
# define	LEXWORD_LILAC	384
# define	LEXWORD_LIMIT	385
# define	LEXWORD_LINE	386
# define	LEXWORD_LINESTYLE	387
# define	LEXWORD_LOC	388
# define	LEXWORD_LOWER_NEIGHBOR	389
# define	LEXWORD_LOW_MARGIN	390
# define	LEXWORD_LOW	391
# define	LEXWORD_MAGENTA	392
# define	LEXWORD_MANHATTEN	393
# define	LEXWORD_MANUAL	394
# define	LEXWORD_MAXDEPTHSLOW	395
# define	LEXWORD_MAXDEPTH	396
# define	LEXWORD_MAXDEGREE	397
# define	LEXWORD_MAXINDEGREE	398
# define	LEXWORD_MAXOUTDEGREE	399
# define	LEXWORD_MEDIAN	400
# define	LEXWORD_MEDIANBARY	401
# define	LEXWORD_MINDEPTHSLOW	402
# define	LEXWORD_MINDEPTH	403
# define	LEXWORD_MINDEGREE	404
# define	LEXWORD_MININDEGREE	405
# define	LEXWORD_MINOUTDEGREE	406
# define	LEXWORD_MINBACK	407
# define	LEXWORD_NAME	408
# define	LEXWORD_NEAREDGE	409
# define	LEXWORD_NEIGHBORS	410
# define	LEXWORD_NEAREDGES	411
# define	LEXWORD_NONEAREDGES	412
# define	LEXWORD_NODE1	413
# define	LEXWORD_NODE2	414
# define	LEXWORD_NODES	415
# define	LEXWORD_NODE_ALIGN	416
# define	LEXWORD_NONE	417
# define	LEXWORD_NO	418
# define	LEXWORD_ORANGE	419
# define	LEXWORD_ORCHID	420
# define	LEXWORD_ORIENTATION	421
# define	LEXWORD_OUTPUTFUNCTION	422
# define	LEXWORD_PFISH	423
# define	LEXWORD_PINK	424
# define	LEXWORD_PLANAR	425
# define	LEXWORD_PMIN	426
# define	LEXWORD_PMAX	427
# define	LEXWORD_PORTSHARING	428
# define	LEXWORD_PRIORITYPHASE	429
# define	LEXWORD_PRIORITY	430
# define	LEXWORD_PURPLE	431
# define	LEXWORD_RANGE	432
# define	LEXWORD_RED	433
# define	LEXWORD_RHOMB	434
# define	LEXWORD_RIGHT_JUSTIFY	435
# define	LEXWORD_RIGHT_MARGIN	436
# define	LEXWORD_RIGHT_NEIGHBOR	437
# define	LEXWORD_RIGHT_TO_LEFT	438
# define	LEXWORD_RIGHT	439
# define	LEXWORD_RMIN	440
# define	LEXWORD_RMAX	441
# define	LEXWORD_SCALING	442
# define	LEXWORD_SHAPE	443
# define	LEXWORD_SHRINK	444
# define	LEXWORD_SMAX	445
# define	LEXWORD_SMANHATTEN	446
# define	LEXWORD_SIZE	447
# define	LEXWORD_SMALLER	448
# define	LEXWORD_SOLID	449
# define	LEXWORD_SOURCENAME	450
# define	LEXWORD_SPLINES	451
# define	LEXWORD_SPREADLEVEL	452
# define	LEXWORD_STATUS	453
# define	LEXWORD_STRETCH	454
# define	LEXWORD_STRAIGHTPHASE	455
# define	LEXWORD_TARGETNAME	456
# define	LEXWORD_TEXTMODE	457
# define	LEXWORD_THICKNESS	458
# define	LEXWORD_TITLE	459
# define	LEXWORD_TOPSORT	460
# define	LEXWORD_TOP_MARGIN	461
# define	LEXWORD_TOP_TO_BOTTOM	462
# define	LEXWORD_TOP	463
# define	LEXWORD_TREE	464
# define	LEXWORD_TREEFACTOR	465
# define	LEXWORD_TRIANGLE	466
# define	LEXWORD_TURQUOISE	467
# define	LEXWORD_TYPENAME	468
# define	LEXWORD_UPPER_NEIGHBOR	469
# define	LEXWORD_VIEW	470
# define	LEXWORD_WHITE	471
# define	LEXWORD_WIDTH	472
# define	LEXWORD_XBASE	473
# define	LEXWORD_XMAX	474
# define	LEXWORD_XRASTER	475
# define	LEXWORD_XLRASTER	476
# define	LEXWORD_XSCROLLBAR	477
# define	LEXWORD_XSPACE	478
# define	LEXWORD_XLSPACE	479
# define	LEXWORD_YBASE	480
# define	LEXWORD_YELLOWGREEN	481
# define	LEXWORD_YELLOW	482
# define	LEXWORD_YES	483
# define	LEXWORD_YMAX	484
# define	LEXWORD_YRASTER	485
# define	LEXWORD_YSCROLLBAR	486
# define	LEXWORD_YSPACE	487
# define	LEX_INT	488
# define	LEX_FLOAT	489
# define	LEX_CHAR	490
# define	LEX_STRING	491
# define	LEXWORD_URL	492


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
